ActiveAdmin.register FailedUrl do
  scope :failed
  scope :invalid_url
  
  actions :index, :destroy

  config.per_page = 100

  filter :url
  filter :user_id, as: :numeric
  filter :created_at

  index do
    selectable_column
    
    column :id
    column :url
    column :failure_reason
    column :created_at
    column :user
    
    default_actions
  end 
end
