Tisket.require('Tisket.Home', function(){
  var that = {};
  
  var init = function(){
    initRequestInvitationTrigger();
  };
  that.init = init;
  
  var initRequestInvitationTrigger = function(){
    $('.js-requestInvitationTrigger').click(function(){
      var trigger = $(this);
      var form = trigger.parents('form');
      var messageContainer = $('.js-messageContainer');
      var message = messageContainer.find('.js-message');
      
      message.hide();
      messageContainer.removeClass('error');
      messageContainer.removeClass('success');
      $.ajax({
        url: (form.attr('action') + '.json'),
        type: form.attr('method'),
        data: form.serialize(true),
        dataType: 'json',
        success: function(response){
          message.html(response.message);
          message.show();
          messageContainer.addClass('success');
          messageContainer.removeClass('error');
          
          form.find('input:text').val('');
        },
        error: function(response){
          response = JSON.parse( response.responseText );
          
          message.html(response.message);
          message.show();
          messageContainer.addClass('error');
          messageContainer.removeClass('success');
        }
      });
      
      return false;
    });
  };
  
  return that;
}());