Tisket.require('Tisket.Layout', function(){
  var that = {};
  
  that.authenticityToken = null;
  
  var onWindowLoad = function(){
  };
  that.onWindowLoad = onWindowLoad;
  
  var onDomLoad = function(options){
    extractAndStoreOptions(options);
    
    $.mobile.ajaxEnabled = false;
    $.event.special.swipe.scrollSupressionThreshold = 10;
    $.event.special.swipe.horizontalDistanceThreshold = 100;
    
    adjustFooterPosition();
    $(window).resize(function(){
      adjustFooterPosition();
    });
    
    Tisket.Notifications.init();
  };
  that.onDomLoad = onDomLoad;
  
  var adjustFooterPosition = function(){
    var footerHeight = $('.js-footer').outerHeight(true);
    
    var viewportHeight = $('body').height();
    
    // if body has minimum height then honor it
    if( (minHeight = parseInt($('body').css('min-height'))) != NaN ){
      if( minHeight > viewportHeight )
        viewportHeight = minHeight;
    }
    
    // I am leaving additional 10 px to separate footer from body in case body is not given a padding
    var aboveFooterHeight = ($('.js-header').outerHeight(true) + $('.js-body').outerHeight(true) + 10);

    if(aboveFooterHeight < (viewportHeight - footerHeight))
      aboveFooterHeight = (viewportHeight - footerHeight);

    $('.js-footer').css('top', aboveFooterHeight);
  };
  that.adjustFooterPosition = adjustFooterPosition;
  
  var scrollToElement = function(element){
    $('body').animate({
      scrollTop: element.offset().top
    });
  };
  that.scrollToElement = scrollToElement;
  
  var extractAndStoreOptions = function(options){
    Tisket.Layout.authenticityToken = options.authenticityToken;
  };
  
  var initRecipientsField = function(field){
    field.tagedit({
      autocompleteURL: '/search_users/tokens',
      autocompleteOptions: {
        select: function(event, ui){
          $(this).val(ui.item.value).attr('data-displayName', ui.item.label).trigger('transformToTag', [ui.item.id]);
          
          return false;
        },
        focus: function(event, ui){
          $(this).val(ui.item.label);
          
          return false;
        }
      },
      animSpeed: 100
    });
  };
  that.initRecipientsField = initRecipientsField;
  
  var isMobile = function(){
    return ($(window).width() < 768);
  };
  that.isMobile = isMobile;
  
  var isTablet = function(){
    return ($(window).width() < 1025) && !isMobile();
  };
  that.isTablet = isTablet;
  
  var containerFullHeight = function(container){
    return container.outerHeight(true);
    
    var totalHeight = 0;
    container.children().each(function(){
      var height = $(this).outerHeight(true);
      console.log( $(this)[0] );
      console.log( height );
      totalHeight += $(this).outerHeight(true); // true = include margins
    });
    
    return totalHeight;
  };
  that.containerFullHeight = containerFullHeight;
  
  return that;
}());