Tisket.require('Tisket.Overlays.CollectionPersonalizationOverlay', function(){
  var that = {};
  
  var url = null;
  
  var open = function(options){
    extractOptions(options);
    
    $.ajax({
      url: url,
      type: 'get',
      dataType: 'html',
      success: function(response){
        var overlay = $(
          '<div id="updateCollection" class="modal hide fade updateCollection" tabindex="-1" data-replace="true" data-color="white"></div>'
        );
        overlay.html( response );
        
        overlay.on('shown', function(){
          init(overlay);
        });
        
        overlay.modal({
          keyboard: false
        });
      },
      error: function(){
        alert('Something went wrong while loading overlay');
      }
    });
  };
  that.open = open;
  
  var extractOptions = function(options){
    url = options.url;
  };
  
  var init = function(overlay){
    overlay.find('.js-trigger').click(function(){
      var trigger = $(this);
      var form = trigger.parents('form');
      
      form.submit();
    });
  };
  that.init = init;
  
  return that;
}());