Tisket.require('Tisket.SideNavigation', function(){
  var that = {};
  
  var currentUserId = null;
  
  var init = function(options){
    currentUserId = options.currentUserId;
    
    adjustPageHeight();
    initNewCollectionTrigger();
  };
  that.init = init;
  
  var adjustPageHeight = function(){
    // Adjust body minimum height based on navigation menu height
    if( $('.js-navigationMenu').length > 0 ){
      $('.js-body').css('min-height', ($('.js-navigationMenu').height() + 70));
      Tisket.Layout.adjustFooterPosition();
    }
  };
  
  var initNewCollectionTrigger = function(){
    $('.js-newCollectionTrigger').click(function(){
      Tisket.Overlays.CollectionUpdateOverlay.open({
        url: '/collections/new.js',
        onSuccess: function(response){
          ga('send', 'event', {
            'eventCategory': 'users',
            'eventAction': 'create_collection',
            'eventLabel': currentUserId,
            'hitCallback': function(){
              window.location.href = response.location; 
            }
          });
        },
        onError: function(jqXHR, overlay){
          overlay.html(jqXHR.responseText);
          
          Tisket.Overlays.CollectionUpdateOverlay.init(overlay);
        }
      });
    });
  };
  
  return that;
}());