class Items::CopyOrMoveController < ApplicationController
  def create
    @item = Item.find( params[:item_id] )
    
    applied_action = @item.move_or_copy_to_collection!(params[:collection_id], current_user)
  
    respond_to do |format|
      format.js { render json: {applied_action: applied_action}, status: 200 }
    end
  end
end