class ScrapersController < InheritedResources::Base
  skip_before_filter :authenticate_user!
  
  def index
    @scrapers = Scraper.select('domain')
    
    respond_to do |format|
      format.extchr do
        render(:json => {
          :domains => @scrapers.collect(&:domain)
        }, :status => 200)
      end
    end
  end
end