class UrlsController < ApplicationController
  def scrape
    info = Scraper.scrap( params[:url] )
    
    if info
      require_dependency 'url'
      info[:domain] = Url.domain( info[:url] )
      
      respond_to do |format|
        format.js { render :json => info, :status => 200 }
      end
    else
      respond_to do |format|
        format.js { render :json => info, :status => 406 }
      end
    end
  end
end