class UserAuthentication < ActiveRecord::Base
  #-Attributes-----
    serialize :info
    
    attr_accessible :provider, :uid, :info
  #-----
  
  #-Associations-----
    belongs_to :user
  #-----
  
  #-Scopes-----
    scope :google, where(:provider => 'google')
    scope :facebook, where(:provider => 'facebook')
  #-----
end