class DropCommentsAndLikesTables < ActiveRecord::Migration
  def up
    drop_table :likes
    drop_table :comments
  end

  def down
    create_table :comments do |t|
      t.text :comment
      t.integer :user_id
      t.integer :message_id

      t.timestamps
    end

    create_table :likes do |t|
      t.integer :user_id, null: false
      t.integer :item_id, null: false
      t.integer :message_id, null: false

      t.timestamps
    end
  end
end
