class CreateVisits < ActiveRecord::Migration
  def change
    create_table :visits do |t|

      t.integer :user_id, null: false
      t.integer :message_id, null: false
      t.datetime :last_visit
    end

    add_index :visits, [:user_id, :message_id], unique: true
  end
end
