class CreateItemsSearchTable < ActiveRecord::Migration
  def up
    if ActiveRecord::Base.connection.adapter_name == "Mysql2"
      create_options = {options: 'ENGINE=MyISAM'}
    else
      create_options = {}
    end
    
    create_table :items_search, create_options do |t|
      t.integer :item_id
      t.integer :collection_id
      
      t.string :title, limit: 200
      t.string :brand, limit: 133
      
      t.timestamps
    end
  end

  def down
    drop_table :items_search
  end
end