<!-- Head -->
<?php include '../partials/head.php'; ?>
<body class="collectionPublicView explore">
  <div class="hidden-phone">
    <!-- Header -->
    <?php include '../partials/header.php'; ?>
    <!--Content starts here-->
    <div class="row-fluid">
      <div class="container collectionWrapper main">
        <!--Page starts here-->
        <!--Error-->
        <div style="display:none;" class="alert alert-error">  
          <button type="button" class="close" data-dismiss="alert">&times;</button>
          <strong>Error!</strong>This is a fatal error.  
        </div>
        <div class="collectionContainer">
          <div class="searchHead">
            <div class="row-fluid">
              <h2>Search to see how fashion bloggers are styling the items you’re looking for.</h2>
              <p><input type="text" placeholder="Enter a brand or product name (try “Dagne Dover”)."></p>
              <p><a href="#" class="btn-orange">Search</a></p>
              <p>Are you a fashion blogger? <a href="#">Sign up</a> to get discovered.</p>
            </div>
            <div class="row-fluid">
              <h3>Featured Collections</h3>
            </div>
          </div>
          <!--Product Listing-->
          <div class="row-fluid hidden-phone productsRow">
            <!--Product-->
            <div class="product">
              <div class="productImg">
                <a class="linkWrapper" href="#"><img src="../../images/listImg1.jpg"></a>
                <span class="helper"></span>
                <div class="likeLeaveWrapper">
                  <a class="likeButton" href="#">Love it</a>
                </div>
                <a class="deleteProduct hide-text hidden-phone" data-toggle="modal"  href="#confirmation">X</a>
                <div class="profileCardOverlay"></div>
              </div>
              <h3><a href="#">Cathleen M.</a></strong></h3>
              <span class="userViews">475 views</span>
              <h2>Mobile Phone 3</h2>
            </div>
            <!--Product-->
            <div class="product">
              <div class="productImg">
                <a class="linkWrapper" href="#"><img src="../../images/listImg1.jpg"></a>
                <span class="helper"></span>
                <div class="likeLeaveWrapper">
                  <a class="likeButton" href="#">Love it</a>
                </div>
                <a class="deleteProduct hide-text hidden-phone" data-toggle="modal"  href="#confirmation">X</a>
                <div class="profileCardOverlay"></div>
              </div>
              <h3><a href="#">Cathleen M.</a></strong></h3>
              <span class="userViews">475 views</span>
              <h2>Mobile Phone 3</h2>
            </div>
            <!--Product-->
            <div class="product">
              <div class="productImg">
                <a class="linkWrapper" href="#"><img src="../../images/listImg1.jpg"></a>
                <span class="helper"></span>
                <div class="likeLeaveWrapper">
                  <a class="likeButton" href="#">Love it</a>
                </div>
                <a class="deleteProduct hide-text hidden-phone" data-toggle="modal"  href="#confirmation">X</a>
                <div class="profileCardOverlay"></div>
              </div>
              <h3 class="active">
                <strong><a href="#">Cathleen M.</a></strong>
              </h3>
              <span class="userViews">475 views</span>
              <h2 class="active">
                <strong>Mobile Phone 3</strong>
              </h2>
            </div>
          </div>
        </div>
        <!--Page ends here-->
      </div>
    </div>
  </div>
  <div class="visible-phone">
    <div class="row-fluid">
        <!--Page starts here-->
        <div class="landingWrapper">
          <h1 class="landingLogo"><a href="#"><img src="../../images/logoWhite.png"></a></h1>
          <ul class="topMenu">
              <li><a href="#">Sign up</a></li>
              <li><a href="#">Log in</a></li>
          </ul>
          <h3>A simple shopping tool for the savvy online shopper.</h3>
        </div>
        <!--Page ends here-->
    </div>
  </div>
  <!--Content ends here-->
<!--Content ends here-->
<!--Overlays starts here-->
<!-- Delete product -->
<?php include '../overlays/deleteProduct.php'; ?>
<!--Overlays ends here-->
<script type="text/javascript">
  $(function(){
        var height = $("body").height();
        $(".landingWrapper").height(height); 
    });
</script>
<!-- Footer -->
<?php include '../partials/footer.php'; ?>