ActiveAdmin.register MissedUrl do
  actions :index, :destroy

  config.per_page = 25

  index do
    selectable_column
    column "Missed Domain" do |url|
      url.missed_domains.domain
    end
    column "Url" do |url|
      url.url
    end
    column "Domain misses count" do |url|
      url.missed_domains.count
    end
    column "Scraper" do |url|
      link_to url.scraper.name, admin_scraper_path(url.scraper.id) if url.scraper
    end
  end 
end
