ActiveAdmin.register MissingImageNotification do
  menu :label => "Missing Image Notification", :parent => "Items Management"
  
  config.filters = false
  
  actions :all, except: [:edit, :new, :show]
  
  index do
    selectable_column
    
    column :id
    column :item do |record|
      link_to(record.item.title, edit_admin_item_path(record.item_id), target: '_blank')
    end
    
    default_actions
  end
end