class Items::ClicksController < ApplicationController
  skip_before_filter :authenticate_user!
  
  def create
    Item.increment_counter(:clicks_count, params[:item_id])
    
    respond_to do |format|
      format.js { render nothing: true, status: 200 }
    end
  end
end