class Messages::LeaveController < ApplicationController
  def show
    @message = Message.find( params[:message_id] )
    
    respond_to do |format|
      format.js { render :layout => false, :status => 200 }
    end
  end
  
  def create
    @message = Message.find( params[:message_id] )
    
    if current_user.id == @message.owner_id
      @message.active = false
      @message.save!
    else
      @message.users.delete(current_user)
    end
    
    respond_to do |format|
      format.js { render :nothing => true, :status => 200 }
    end
  end
end