class SearchController < ApplicationController
  skip_before_filter :authenticate_user!
  
  def show
    @search_results = Item.index_search(params[:q]).includes(:item, {:collection => :owner}).page(params[:page]).per(9)
    
    SearchQuery.create!(query: params[:q]) unless params[:q].blank?
    
    respond_to do |format|
      format.html
    end
  end
end