module ApplicationHelper
  def show_header_logo?
    unless @show_header_logo.nil?
      @show_header_logo
    else
      true
    end
  end
  
  def message_page?
    params[:controller] == 'messages' && params[:action] == 'show'
  end
  
  def nl2br(txt)
    return nil if txt.nil?
    
    raw(sanitize(txt).gsub(/\n|\r\n/, '<br>'))
  end
  
  def single_view?(message)
    (message.public? || message.personal?)
  end
end