class ActivityLike < ActiveRecord::Base
  #-Associations-----
    belongs_to :user
    belongs_to :activity, :counter_cache => 'likes_count'
  #-----
  
  #-Validations-----
    validates_presence_of :activity_id
    validates_uniqueness_of :user_id, :scope => :activity_id
  #-----
end