class Background::MessageCloner
  if configatron.async.enabled && configatron.async.engine == :sucker_punch
    include SuckerPunch::Job
  end
  
  def self.perform(message_id, cloned_message_id)
    if configatron.async.enabled
      if configatron.async.engine == :sucker_punch
        self.new.async.perform(message_id, cloned_message_id)
      elsif configatron.async.engine == :delayed_job
        self.new.delay.do_perform(message_id, cloned_message_id)
      end
    else
      self.new.do_perform(message_id, cloned_message_id)
    end
  end
  
  def perform(message_id, cloned_message_id)
    self.do_perform(message_id, cloned_message_id)
  end
  
  def do_perform(message_id, cloned_message_id)
    cloned_message = Message.find(cloned_message_id)
      
    cloned_message.delay.transfer_items_and_activate!(message_id)
  end
end