class MissingImageNotification < ActiveRecord::Base
  #-Attributes-----
    attr_accessible :item_id
  #-----
  
  #-Associations-----
    belongs_to :item
  #-----
  
  #-Callbacks-----
    after_destroy do |record|
      if record.item
        record.item.processed = true
        record.item.save!
      end
    end
  #-----
end