class Visit < ActiveRecord::Base
  #-Attributes-----
    attr_accessible :last_visit, :message_id
  #----

  #-Associations-----
    belongs_to :user
    belongs_to :message
  #----
  
  def self.calculate_activities_count!
    self.find_each do |visit|
      visit.activities_count = visit.user.unread_activities_count(visit.message)
      visit.save!
    end
  end
end
