class ItemBelongsToOneMessageOnly < ActiveRecord::Migration
  def up
    add_column :items, :message_id, :integer
    add_column :items, :deleted, :boolean, default: false

    drop_table :message_item_relations
  end

  def down
    remove_column :items, :message_id
    remove_column :items, :deleted
    
    create_table :message_item_relations do |t|
      t.integer :message_id, null: false
      t.integer :item_id, null: false
      t.boolean :deleted, default: false
      t.timestamps
    end
  end
end
