class CreateUsersStatisticsTable < ActiveRecord::Migration
  def up
    create_table :users_statistics do |t|
      t.datetime :start_time
      t.datetime :end_time
      
      t.integer :invited_users_count, :default => 0
      t.integer :registered_users_count, :default => 0
      
      t.timestamps
    end
  end

  def down
    drop_table :users_statistics
  end
end