class AddFulltextIndexOnItemsSearch < ActiveRecord::Migration
  def up
    if ActiveRecord::Base.connection.adapter_name == "Mysql2"
      execute("ALTER TABLE items_search ADD FULLTEXT INDEX items_search_index (title, brand)")
    end
  end

  def down
    if ActiveRecord::Base.connection.adapter_name == "Mysql2"
      remove_index :items_search, name: 'items_search_index'
    end
  end
end