var domains = [];

var hasDomain = function(domain){
  if( domains.indexOf(domain) == -1 ){
    if( domains.indexOf( domain.replace('www.', '') ) == -1 ){
      return false;
    }
    else{
      return true;
    }
  }
  else{
    return true;
  }
};

chrome.runtime.onMessage.addListener(function(request, sender, sendResponse){
  if (request.cmd === "domainSupported"){
    sendResponse({supported: hasDomain(request.domain)});
  }
});

var grabScrapers = function(){
  $.ajax({
    type: "GET",
    url: settings.hostName() + 'scrapers.extchr',
    dataType: 'json',
    success: function(response){
      domains = response.domains;
    }
  });
};

grabScrapers();
setInterval(grabScrapers, 43200000);

chrome.browserAction.onClicked.addListener(function(tab){
  chrome.tabs.sendMessage(tab.id, {cmd: "openOverlay"});
});