class CustomFailure < Devise::FailureApp
  def redirect_url
    if warden_message == :timeout
      flash[:timedout] = true
      attempted_path || scope_path
    else
      if scope.to_s == "admin_user"
        scope_path
      else
        parameters = {}
        begin
          attempted_path = env["warden.options"][:attempted_path].to_s
          
          require 'uri'
          uri = URI.parse(attempted_path)
          
          source = URI.decode_www_form(uri.query.to_s).select {|e| e[0] == 'source' }.first[1]
          if source == 'widget'
            parameters = {
              :source => source,
              :collection_id => request.path_parameters[:id] 
            }
          end
        rescue Exception
        end
        
        new_user_registration_path(parameters)
      end
    end
  end
end