class EmailsTokenizer
  def self.tokenize(str)
    response = []
    
    str.to_s.split(',').each do |email|
      email = email.rstrip.lstrip
      
      if(matched_data = email.match(/^.*[(|<](.*)[)|>]$/))
        email = matched_data[1]
      end
      response << email if email =~ Devise.email_regexp
    end
    
    response
  end
end