class Utilities
  def self.compile_html_files!(desired_file_name = nil)
    source_directory = "#{ Rails.root }/public/designs/php"
    destination_directory = "#{ Rails.root }/public/designs/html"

    php_files_paths = `find #{ Rails.root }/public/designs/masterpage -name *.php`
    php_files_paths.lines.each do |php_file_path|
      # remove new line at the end of the line
      php_file_path.rstrip!
      
      ps = php_file_path.split('/')
      directory = ps[0..-2].join('/')
      file_name = ps[-1]
      
      next if desired_file_name && desired_file_name != file_name
      
      puts ">>>>>>>Converting: #{ directory }/#{ file_name }"
      
      command = "cd #{ directory } ; php #{ file_name } > #{ file_name.gsub('.php', '.html') }"
      system(command)
    end
    
    nil
  end
end